Index: src/xs_internal.c
===================================================================
RCS file: /data/cvs/libvirt/src/xs_internal.c,v
retrieving revision 1.47
diff -u -p -r1.47 xs_internal.c
--- src/xs_internal.c	10 Aug 2007 18:25:15 -0000	1.47
+++ src/xs_internal.c	17 Aug 2007 05:52:31 -0000
@@ -330,14 +330,14 @@ xenStoreOpen(virConnectPtr conn,
     priv->xshandle = xs_daemon_open_readonly();
 #else
     if (flags & VIR_DRV_OPEN_RO)
-	priv->xshandle = xs_daemon_open_readonly();
+        priv->xshandle = xs_daemon_open_readonly();
     else
-	priv->xshandle = xs_daemon_open();
+        priv->xshandle = xs_daemon_open();
 #endif /* ! PROXY */
 
     if (priv->xshandle == NULL) {
         virXenStoreError(NULL, VIR_ERR_NO_XEN, 
-	                     _("failed to connect to Xen Store"));
+                             _("failed to connect to Xen Store"));
         return (-1);
     }
     return (0);
@@ -392,8 +392,8 @@ xenStoreGetDomainInfo(virDomainPtr domai
 
     if ((domain == NULL) || (domain->conn == NULL) || (info == NULL)) {
         virXenStoreError(domain ? domain->conn : NULL, VIR_ERR_INVALID_ARG,
-	                 __FUNCTION__);
-	return(-1);
+                         __FUNCTION__);
+        return(-1);
     }
 
     priv = (xenUnifiedPrivatePtr) domain->conn->privateData;
@@ -458,13 +458,13 @@ xenStoreDomainSetMemory(virDomainPtr dom
     if ((domain == NULL) || (domain->conn == NULL) ||
         (memory < 1024 * MIN_XEN_GUEST_SIZE)) {
         virXenStoreError(domain ? domain->conn : NULL, VIR_ERR_INVALID_ARG,
-	                 __FUNCTION__);
-	return(-1);
+                         __FUNCTION__);
+        return(-1);
     }
     if (domain->id == -1)
         return(-1);
     if ((domain->id == 0) && (memory < (2 * MIN_XEN_GUEST_SIZE * 1024)))
-	return(-1);
+        return(-1);
     snprintf(value, 19, "%lu", memory);
     value[19] = 0;
     ret = virDomainDoStoreWrite(domain, "memory/target", &value[0]);
@@ -494,8 +494,8 @@ xenStoreDomainGetMaxMemory(virDomainPtr 
 
     tmp = virDomainDoStoreQuery(domain->conn, domain->id, "memory/target");
     if (tmp != NULL) {
-	ret = (unsigned long) atol(tmp);
-	free(tmp);
+        ret = (unsigned long) atol(tmp);
+        free(tmp);
     }
     return(ret);
 }
@@ -529,7 +529,7 @@ xenStoreNumOfDomains(virConnectPtr conn)
     idlist = xs_directory(priv->xshandle, 0, "/local/domain", &num);
     if (idlist) {
         free(idlist);
-	ret = num;
+        ret = num;
     }
     return(ret);
 }
@@ -555,7 +555,7 @@ xenStoreListDomains(virConnectPtr conn, 
 
     if ((conn == NULL) || (ids == NULL)) {
         virXenStoreError(conn, VIR_ERR_INVALID_ARG, __FUNCTION__);
-	return(-1);
+        return(-1);
     }
 
     priv = (xenUnifiedPrivatePtr) conn->privateData;
@@ -564,19 +564,19 @@ xenStoreListDomains(virConnectPtr conn, 
 
     idlist = xs_directory (priv->xshandle, 0, "/local/domain", &num);
     if (idlist == NULL)
-	return(-1);
+        return(-1);
 
     for (ret = 0, i = 0; (i < num) && (ret < maxids); i++) {
-	id = strtol(idlist[i], &endptr, 10);
-	if ((endptr == idlist[i]) || (*endptr != 0)) {
-	    ret = -1;
-	    break;
-	}
+        id = strtol(idlist[i], &endptr, 10);
+        if ((endptr == idlist[i]) || (*endptr != 0)) {
+            ret = -1;
+            break;
+        }
 #if 0
-	if (virConnectCheckStoreID(conn, (int) id) < 0)
-	    continue;
+        if (virConnectCheckStoreID(conn, (int) id) < 0)
+            continue;
 #endif
-	ids[ret++] = (int) id;
+        ids[ret++] = (int) id;
     }
     return(ret);
 }
@@ -604,7 +604,7 @@ xenStoreLookupByName(virConnectPtr conn,
 
     if ((conn == NULL) || (name == NULL)) {
         virXenStoreError(conn, VIR_ERR_INVALID_ARG, __FUNCTION__);
-	return(NULL);
+        return(NULL);
     }
 
     priv = (xenUnifiedPrivatePtr) conn->privateData;
@@ -613,7 +613,7 @@ xenStoreLookupByName(virConnectPtr conn,
 
     idlist = xs_directory(priv->xshandle, 0, "/local/domain", &num);
     if (idlist == NULL)
-	goto done;
+        goto done;
 
     for (i = 0; i < num; i++) {
         id = strtol(idlist[i], &endptr, 10);
@@ -648,9 +648,9 @@ xenStoreLookupByName(virConnectPtr conn,
 
 done:
     if (xenddomain != NULL)
-	free(xenddomain);
+        free(xenddomain);
     if (idlist != NULL)
-	free(idlist);
+        free(idlist);
 
     return(ret);
 }
@@ -670,7 +670,7 @@ xenStoreDomainShutdown(virDomainPtr doma
 {
     if ((domain == NULL) || (domain->conn == NULL)) {
         virXenStoreError((domain ? domain->conn : NULL), VIR_ERR_INVALID_ARG,
-	                 __FUNCTION__);
+                         __FUNCTION__);
         return(-1);
     }
     if (domain->id == -1 || domain->id == 0)
@@ -698,7 +698,7 @@ xenStoreDomainReboot(virDomainPtr domain
 {
     if ((domain == NULL) || (domain->conn == NULL)) {
         virXenStoreError((domain ? domain->conn : NULL), VIR_ERR_INVALID_ARG,
-	                 __FUNCTION__);
+                         __FUNCTION__);
         return(-1);
     }
     if (domain->id == -1 || domain->id == 0)
@@ -725,7 +725,7 @@ xenStoreDomainGetOSType(virDomainPtr dom
 
     if ((domain == NULL) || (domain->conn == NULL)) {
         virXenStoreError((domain ? domain->conn : NULL), VIR_ERR_INVALID_ARG,
-	                 __FUNCTION__);
+                         __FUNCTION__);
         return(NULL);
     }
 
@@ -812,7 +812,7 @@ xenStoreDomainGetOSTypeID(virConnectPtr 
 
     if (vm) {
         snprintf(query, 199, "%s/image/ostype", vm);
-	str = xs_read(priv->xshandle, 0, &query[0], &len);
+        str = xs_read(priv->xshandle, 0, &query[0], &len);
         free(vm);
     }
     if (str == NULL)
@@ -857,19 +857,19 @@ xenStoreDomainGetNetworkID(virConnectPtr
     snprintf(dir, sizeof(dir), "/local/domain/0/backend/vif/%d", id);
     list = xs_directory(priv->xshandle, 0, dir, &num);
     if (list == NULL)
-	return(NULL);
+        return(NULL);
     for (i = 0; i < num; i++) {
-	snprintf(path, sizeof(path), "%s/%s/%s", dir, list[i], "mac");
-	val = xs_read(priv->xshandle, 0, path, &len);
-	if (val == NULL)
-	    break;
-	if ((maclen != len) || memcmp(val, mac, len)) {
-	    free(val);
-	} else {
-	    ret = strdup(list[i]);
-	    free(val);
-	    break;
-	}
+        snprintf(path, sizeof(path), "%s/%s/%s", dir, list[i], "mac");
+        val = xs_read(priv->xshandle, 0, path, &len);
+        if (val == NULL)
+            break;
+        if ((maclen != len) || memcmp(val, mac, len)) {
+            free(val);
+        } else {
+            ret = strdup(list[i]);
+            free(val);
+            break;
+        }
     }
     free(list);
     return(ret);
